Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 1326)
+++ /palm/trunk/SOURCE/modules.f90	(revision 1327)
@@ -832,24 +830,24 @@
     REAL(sp), DIMENSION(2,100) ::  interval_values_dvrp,                       &
                                    interval_values_dvrp_prt, interval_h_dvrp,  &
-                                   interval_h_dvrp_prt, interval_l_dvrp = 0.5, &
-                                   interval_l_dvrp_prt = 0.5, interval_s_dvrp = 1.0, &
-                                   interval_s_dvrp_prt = 1.0, interval_a_dvrp = 0.0, &
-                                   interval_a_dvrp_prt = 0.0
-
-    DATA  slicer_range_limits_dvrp / -1.0, 1.0, -1.0, 1.0, -1.0, 1.0, &
-                                     -1.0, 1.0, -1.0, 1.0, -1.0, 1.0, &
-                                     -1.0, 1.0, -1.0, 1.0, -1.0, 1.0, &
-                                     -1.0, 1.0 /
-
-    DATA  isosurface_color / 0.9, 0.9, 0.9,  0.8, 0.1, 0.1,  0.1, 0.1, 0.8, &
-                             0.1, 0.8, 0.1,  0.6, 0.1, 0.1,  0.1, 0.1, 0.6, &
-                             0.1, 0.6, 0.1,  0.4, 0.1, 0.1,  0.1, 0.1, 0.4, &
-                             0.1, 0.4, 0.1 /
-
-    DATA  interval_h_dvrp / 270.0, 225.0, 225.0, 180.0, 70.0, 25.0, &
-                            25.0, -25.0, 192 * 0.0 /
-
-    DATA  interval_h_dvrp_prt / 270.0, 225.0, 225.0, 180.0, 70.0, 25.0, &
-                                25.0, -25.0, 192 * 0.0 /
+                                   interval_h_dvrp_prt, interval_l_dvrp = 0.5_sp, &
+                                   interval_l_dvrp_prt = 0.5_sp, interval_s_dvrp = 1.0_sp, &
+                                   interval_s_dvrp_prt = 1.0_sp, interval_a_dvrp = 0.0_sp, &
+                                   interval_a_dvrp_prt = 0.0_sp
+
+    DATA  slicer_range_limits_dvrp / -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, &
+                                     -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, &
+                                     -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, &
+                                     -1.0_wp, 1.0_wp /
+
+    DATA  isosurface_color / 0.9_wp, 0.9_wp, 0.9_wp,  0.8_wp, 0.1_wp, 0.1_wp,  0.1_wp, 0.1_wp, 0.8_wp, &
+                             0.1_wp, 0.8_wp, 0.1_wp,  0.6_wp, 0.1_wp, 0.1_wp,  0.1_wp, 0.1_wp, 0.6_wp, &
+                             0.1_wp, 0.6_wp, 0.1_wp,  0.4_wp, 0.1_wp, 0.1_wp,  0.1_wp, 0.1_wp, 0.4_wp, &
+                             0.1_wp, 0.4_wp, 0.1_wp /
+
+    DATA  interval_h_dvrp / 270.0_wp, 225.0_wp, 225.0_wp, 180.0_wp, 70.0_wp, 25.0_wp, &
+                            25.0_wp, -25.0_wp, 192 * 0.0_wp /
+
+    DATA  interval_h_dvrp_prt / 270.0_wp, 225.0_wp, 225.0_wp, 180.0_wp, 70.0_wp, 25.0_wp, &
+                                25.0_wp, -25.0_wp, 192 * 0.0_wp /
 #endif
 
@@ -1024,9 +1022,9 @@
     LOGICAL ::  run_control_header_1d = .FALSE., stop_dt_1d = .FALSE. 
 
-    REAL(wp) ::     damp_level_1d = -1.0, dt_1d = 60.0, dt_max_1d = 300.0, &
-                    dt_pr_1d = 9999999.9, dt_run_control_1d = 60.0, &
-                    end_time_1d = 864000.0, old_dt_1d = 1.0E-10, &
-                    qs1d, simulated_time_1d = 0.0, time_pr_1d = 0.0, &
-                    time_run_control_1d = 0.0, ts1d, us1d, usws1d, &
+    REAL(wp) ::     damp_level_1d = -1.0_wp, dt_1d = 60.0_wp, dt_max_1d = 300.0_wp, &
+                    dt_pr_1d = 9999999.9_wp, dt_run_control_1d = 60.0_wp, &
+                    end_time_1d = 864000.0_wp, old_dt_1d = 1.0E-10_wp, &
+                    qs1d, simulated_time_1d = 0.0_wp, time_pr_1d = 0.0_wp, &
+                    time_run_control_1d = 0.0_wp, ts1d, us1d, usws1d, &
                     vsws1d, z01d, z0h1d
 
@@ -1233,20 +1231,20 @@
     LOGICAL, DIMENSION(:), ALLOCATABLE ::  particle_mask, tail_mask
 
-    REAL(wp)    ::  c_0 = 3.0, dt_min_part = 0.0002, dt_prel = 9999999.9,          &
-                    dt_sort_particles = 0.0, dt_write_particle_data = 9999999.9,   &
-                    dvrp_psize = 9999999.9, end_time_prel = 9999999.9,             &
-                    initial_weighting_factor = 1.0,                                &
-                    maximum_tailpoint_age = 100000.0,                              &
-                    minimum_tailpoint_distance = 0.0,                              &
-                    particle_advection_start = 0.0, sgs_wfu_part = 0.3333333,      &
-                    sgs_wfv_part = 0.3333333, sgs_wfw_part = 0.3333333,            &
-                    time_prel = 0.0, time_sort_particles = 0.0,                    &
-                    time_write_particle_data = 0.0, z0_av_global
+    REAL(wp)    ::  c_0 = 3.0_wp, dt_min_part = 0.0002_wp, dt_prel = 9999999.9_wp,          &
+                    dt_sort_particles = 0.0_wp, dt_write_particle_data = 9999999.9_wp,   &
+                    dvrp_psize = 9999999.9_wp, end_time_prel = 9999999.9_wp,             &
+                    initial_weighting_factor = 1.0_wp,                                &
+                    maximum_tailpoint_age = 100000.0_wp,                              &
+                    minimum_tailpoint_distance = 0.0_wp,                              &
+                    particle_advection_start = 0.0_wp, sgs_wfu_part = 0.3333333_wp,      &
+                    sgs_wfv_part = 0.3333333_wp, sgs_wfw_part = 0.3333333_wp,            &
+                    time_prel = 0.0_wp, time_sort_particles = 0.0_wp,                    &
+                    time_write_particle_data = 0.0_wp, z0_av_global
 
     REAL(wp), DIMENSION(max_number_of_particle_groups) ::  &
-                    density_ratio = 9999999.9, pdx = 9999999.9, pdy = 9999999.9, &
-                    pdz = 9999999.9, psb = 9999999.9, psl = 9999999.9,           &
-                    psn = 9999999.9, psr = 9999999.9, pss = 9999999.9,           &
-                    pst = 9999999.9, radius = 9999999.9
+                    density_ratio = 9999999.9_wp, pdx = 9999999.9_wp, pdy = 9999999.9_wp, &
+                    pdz = 9999999.9_wp, psb = 9999999.9_wp, psl = 9999999.9_wp,           &
+                    psn = 9999999.9_wp, psr = 9999999.9_wp, pss = 9999999.9_wp,           &
+                    pst = 9999999.9_wp, radius = 9999999.9_wp
 
     REAL(wp), DIMENSION(:), ALLOCATABLE     ::  log_z_z0 
@@ -1393,15 +1391,15 @@
 
     REAL(wp) ::  cross_ts_uymax(20) = &
-                             (/ 999.999, 999.999, 999.999, 999.999, 999.999,   &
-                                999.999, 999.999, 999.999, 999.999, 999.999,   &
-                                999.999, 999.999, 999.999, 999.999, 999.999,   &
-                                999.999, 999.999, 999.999, 999.999, 999.999 /),&
-                 cross_ts_uymax_computed(20) = 999.999, &
+                             (/ 999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp,   &
+                                999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp,   &
+                                999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp,   &
+                                999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp /),&
+                 cross_ts_uymax_computed(20) = 999.999_wp, &
                  cross_ts_uymin(20) = &
-                             (/ 999.999, 999.999, 999.999,  -5.000, 999.999,   &
-                                999.999,   0.000, 999.999, 999.999, 999.999,   &
-                                999.999, 999.999, 999.999, 999.999, 999.999,   &
-                                999.999, 999.999, 999.999, 999.999, 999.999 /),&
-                 cross_ts_uymin_computed(20) = 999.999
+                             (/ 999.999_wp, 999.999_wp, 999.999_wp,  -5.000_wp, 999.999_wp,   &
+                                999.999_wp,   0.000_wp, 999.999_wp, 999.999_wp, 999.999_wp,   &
+                                999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp,   &
+                                999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp, 999.999_wp /),&
+                 cross_ts_uymin_computed(20) = 999.999_wp
 
     SAVE
@@ -1454,5 +1452,5 @@
                      plot_spectra_level(100) = 999999
 
-    REAL(wp)    ::  time_to_start_sp = 0.0
+    REAL(wp)    ::  time_to_start_sp = 0.0_wp
 
     SAVE
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 1326)
+++ /palm/trunk/SOURCE/parin.f90	(revision 1327)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! -data_output_format, do3d_compress, do3d_comp_prec
 !
 ! Former revisions:
@@ -145,9 +145,9 @@
                conserve_volume_flow, conserve_volume_flow_mode,                &
                coupling_start_time, create_disturbances, cthf, cycle_mg,       &
-               data_output, data_output_format, data_output_masks,             &
+               data_output, data_output_masks,                                 &
                data_output_pr, data_output_2d_on_each_pe,                      &
                disturbance_amplitude, disturbance_energy_limit,                &
                disturbance_level_b, disturbance_level_t, dissipation_1d,       &
-               do2d_at_begin, do3d_at_begin, do3d_compress, do3d_comp_prec,    &
+               do2d_at_begin, do3d_at_begin,                                   &
                dp_external, dp_level_b, dp_smooth, dpdxy, drag_coefficient,    &
                drizzle, dt, dz, dt_averaging_input, dt_averaging_input_pr,     &
@@ -292,9 +292,9 @@
              cpu_log_barrierwait, create_disturbances, &
              cross_profiles, cross_ts_uymax, cross_ts_uymin, &
-             data_output, data_output_format, data_output_masks, &
+             data_output, data_output_masks,                                   &
              data_output_pr, data_output_2d_on_each_pe, disturbance_amplitude, &
              disturbance_energy_limit, disturbance_level_b, &
-             disturbance_level_t, do2d_at_begin, do3d_at_begin, do3d_compress, &
-             do3d_comp_prec, dt, dt_averaging_input, dt_averaging_input_pr, &
+             disturbance_level_t, do2d_at_begin, do3d_at_begin,                &
+             dt, dt_averaging_input, dt_averaging_input_pr, &
              dt_coupling, dt_data_output, dt_data_output_av, dt_disturb, &
              dt_domask, dt_dopr, dt_dopr_listing, dt_dots, dt_do2d_xy, &
Index: /palm/trunk/SOURCE/write_compressed.f90
===================================================================
--- /palm/trunk/SOURCE/write_compressed.f90	(revision 1326)
+++ /palm/trunk/SOURCE/write_compressed.f90	(revision 1327)
@@ -25,5 +25,5 @@
 ! Former revisions:
 ! -----------------
-! $Id$
+! $Id: write_compressed.f90 1321 2014-03-20 09:40:40Z raasch $
 !
 ! 1320 2014-03-20 08:40:49Z raasch
